# MultivariateAnomalies

*A julia package for detecting multivariate anomalies.*

*Keywords: Novelty detection, Anomaly Detection, Outlier Detection, Statistical Process Control, Process Monitoring*

| **Documentation**                                                                                                        | **Build Status**                                                                                | **Code Coverage**
|:-------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------:| :-----------------------------------------------------------------------------------------------:|
| [![](https://img.shields.io/badge/docs-latest-blue.svg)](https://milanflach.github.io/MultivariateAnomalies.jl/latest) | [![Build Status](https://travis-ci.org/milanflach/MultivariateAnomalies.jl.svg?branch=master)](https://travis-ci.org/milanflach/MultivariateAnomalies.jl)| [![codecov](https://codecov.io/gh/milanflach/MultivariateAnomalies.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/milanflach/MultivariateAnomalies.jl) | 

## Requirements

- Julia >= `0.7`
- Julia packages `Distances`, `LIBSVM`, `Combinatorics`, and `Linear Algebra`.

## Installation

- add the package: ```]add MultivariateAnomalies```

## Documentation

The Documentation is available [here](https://milanflach.github.io/MultivariateAnomalies.jl/latest).

## Reference

The package was implemented by Milan Flach and Fabian Gans, Max Planck Institute for Biogeochemistry, Department Biogeochemical Integration, Jena.

**Please cite this package as:**
Flach, M., Gans, F., Brenning, A., Denzler, J., Reichstein, M., Rodner, E., Bathiany, S., Bodesheim, P., Guanche, Y., Sippel, S., and Mahecha, M. D. (2017): Multivariate anomaly detection for Earth observations: a comparison of algorithms and feature extraction techniques, Earth Syst. Dynam., 8, 677-696, [doi:10.5194/esd-8-677-2017](https://doi.org/10.5194/esd-8-677-2017).

